Users

Get users

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users

Parameters

NameInTypeRequiredDescription
qquerystringfalseSearch query
after_idquerystring(uuid)falseAfter ID
limitqueryintegerfalsePage limit
offsetqueryintegerfalsePage offset

Example responses

200 Response

{ "count": 0, "users": [ { "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" } ] }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.GetUsersResponse

To perform this operation, you must be authenticated. Learn more.

Create new user

Code samples

# Example request using curl curl -X POST http://coder-server:8080/api/v2/users \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

POST /users

Body parameter

{ "email": "[email protected]", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "password": "string", "user_status": "active", "username": "string" }

Parameters

NameInTypeRequiredDescription
bodybodycodersdk.CreateUserRequestWithOrgstrueCreate user request

Example responses

201 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
201CreatedCreatedcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Get authentication methods

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/authmethods \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/authmethods

Example responses

200 Response

{ "github": { "default_provider_configured": true, "enabled": true }, "oidc": { "enabled": true, "iconUrl": "string", "signInText": "string" }, "password": { "enabled": true }, "terms_of_service_url": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.AuthMethods

To perform this operation, you must be authenticated. Learn more.

Check initial user created

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/first \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/first

Example responses

200 Response

{ "detail": "string", "message": "string", "validations": [ { "detail": "string", "field": "string" } ] }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.Response

To perform this operation, you must be authenticated. Learn more.

Create initial user

Code samples

# Example request using curl curl -X POST http://coder-server:8080/api/v2/users/first \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

POST /users/first

Body parameter

{ "email": "string", "name": "string", "password": "string", "trial": true, "trial_info": { "company_name": "string", "country": "string", "developers": "string", "first_name": "string", "job_title": "string", "last_name": "string", "phone_number": "string" }, "username": "string" }

Parameters

NameInTypeRequiredDescription
bodybodycodersdk.CreateFirstUserRequesttrueFirst user request

Example responses

201 Response

{ "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" }

Responses

StatusMeaningDescriptionSchema
201CreatedCreatedcodersdk.CreateFirstUserResponse

To perform this operation, you must be authenticated. Learn more.

Log out user

Code samples

# Example request using curl curl -X POST http://coder-server:8080/api/v2/users/logout \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

POST /users/logout

Example responses

200 Response

{ "detail": "string", "message": "string", "validations": [ { "detail": "string", "field": "string" } ] }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.Response

To perform this operation, you must be authenticated. Learn more.

OAuth 2.0 GitHub Callback

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/oauth2/github/callback \ -H 'Coder-Session-Token: API_KEY'

GET /users/oauth2/github/callback

Responses

StatusMeaningDescriptionSchema
307Temporary RedirectTemporary Redirect

To perform this operation, you must be authenticated. Learn more.

Get Github device auth

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/oauth2/github/device \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/oauth2/github/device

Example responses

200 Response

{ "device_code": "string", "expires_in": 0, "interval": 0, "user_code": "string", "verification_uri": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.ExternalAuthDevice

To perform this operation, you must be authenticated. Learn more.

OpenID Connect Callback

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/oidc/callback \ -H 'Coder-Session-Token: API_KEY'

GET /users/oidc/callback

Responses

StatusMeaningDescriptionSchema
307Temporary RedirectTemporary Redirect

To perform this operation, you must be authenticated. Learn more.

Get user by name

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user} \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, username, or me

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Delete user

Code samples

# Example request using curl curl -X DELETE http://coder-server:8080/api/v2/users/{user} \ -H 'Coder-Session-Token: API_KEY'

DELETE /users/{user}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Responses

StatusMeaningDescriptionSchema
200OKOK

To perform this operation, you must be authenticated. Learn more.

Get user appearance settings

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/appearance \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/appearance

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "terminal_font": "", "theme_preference": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.UserAppearanceSettings

To perform this operation, you must be authenticated. Learn more.

Update user appearance settings

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/appearance \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/appearance

Body parameter

{ "terminal_font": "", "theme_preference": "string" }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.UpdateUserAppearanceSettingsRequesttrueNew appearance settings

Example responses

200 Response

{ "terminal_font": "", "theme_preference": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.UserAppearanceSettings

To perform this operation, you must be authenticated. Learn more.

Get autofill build parameters for user

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/autofill-parameters?template_id=string \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/autofill-parameters

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, username, or me
template_idquerystringtrueTemplate ID

Example responses

200 Response

[ { "name": "string", "value": "string" } ]

Responses

StatusMeaningDescriptionSchema
200OKOKarray of codersdk.UserParameter

Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
[array item]arrayfalse
» namestringfalse
» valuestringfalse

To perform this operation, you must be authenticated. Learn more.

Get user Git SSH key

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/gitsshkey \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/gitsshkey

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "created_at": "2019-08-24T14:15:22Z", "public_key": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.GitSSHKey

To perform this operation, you must be authenticated. Learn more.

Regenerate user SSH key

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/gitsshkey \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/gitsshkey

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "created_at": "2019-08-24T14:15:22Z", "public_key": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.GitSSHKey

To perform this operation, you must be authenticated. Learn more.

Create new session key

Code samples

# Example request using curl curl -X POST http://coder-server:8080/api/v2/users/{user}/keys \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

POST /users/{user}/keys

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

201 Response

{ "key": "string" }

Responses

StatusMeaningDescriptionSchema
201CreatedCreatedcodersdk.GenerateAPIKeyResponse

To perform this operation, you must be authenticated. Learn more.

Get user tokens

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/keys/tokens \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/keys/tokens

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
include_expiredquerybooleanfalseInclude expired tokens in the list

Example responses

200 Response

[ { "allow_list": [ { "id": "string", "type": "*" } ], "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "string", "last_used": "2019-08-24T14:15:22Z", "lifetime_seconds": 0, "login_type": "password", "scope": "all", "scopes": [ "all" ], "token_name": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" } ]

Responses

StatusMeaningDescriptionSchema
200OKOKarray of codersdk.APIKey

Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
[array item]arrayfalse
» allow_listarrayfalse
»» idstringfalse
»» typecodersdk.RBACResourcefalse
» created_atstring(date-time)true
» expires_atstring(date-time)true
» idstringtrue
» last_usedstring(date-time)true
» lifetime_secondsintegertrue
» login_typecodersdk.LoginTypetrue
» scopecodersdk.APIKeyScopefalseDeprecated: use Scopes instead.
» scopesarrayfalse
» token_namestringtrue
» updated_atstring(date-time)true
» user_idstring(uuid)true

Enumerated Values

PropertyValue(s)
type*, aibridge_interception, api_key, assign_org_role, assign_role, audit_log, boundary_usage, chat, connection_log, crypto_key, debug_info, deployment_config, deployment_stats, file, group, group_member, idpsync_settings, inbox_notification, license, notification_message, notification_preference, notification_template, oauth2_app, oauth2_app_code_token, oauth2_app_secret, organization, organization_member, prebuilt_workspace, provisioner_daemon, provisioner_jobs, replicas, system, tailnet_coordinator, task, template, usage_event, user, user_secret, webpush_subscription, workspace, workspace_agent_devcontainers, workspace_agent_resource_monitor, workspace_dormant, workspace_proxy
login_typegithub, oidc, password, token
scopeall, application_connect

To perform this operation, you must be authenticated. Learn more.

Create token API key

Code samples

# Example request using curl curl -X POST http://coder-server:8080/api/v2/users/{user}/keys/tokens \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

POST /users/{user}/keys/tokens

Body parameter

{ "allow_list": [ { "id": "string", "type": "*" } ], "lifetime": 0, "scope": "all", "scopes": [ "all" ], "token_name": "string" }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.CreateTokenRequesttrueCreate token request

Example responses

201 Response

{ "key": "string" }

Responses

StatusMeaningDescriptionSchema
201CreatedCreatedcodersdk.GenerateAPIKeyResponse

To perform this operation, you must be authenticated. Learn more.

Get API key by token name

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/keys/tokens/{keyname} \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/keys/tokens/{keyname}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
keynamepathstring(string)trueKey Name

Example responses

200 Response

{ "allow_list": [ { "id": "string", "type": "*" } ], "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "string", "last_used": "2019-08-24T14:15:22Z", "lifetime_seconds": 0, "login_type": "password", "scope": "all", "scopes": [ "all" ], "token_name": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.APIKey

To perform this operation, you must be authenticated. Learn more.

Get API key by ID

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/keys/{keyid} \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/keys/{keyid}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
keyidpathstring(string)trueKey ID

Example responses

200 Response

{ "allow_list": [ { "id": "string", "type": "*" } ], "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "string", "last_used": "2019-08-24T14:15:22Z", "lifetime_seconds": 0, "login_type": "password", "scope": "all", "scopes": [ "all" ], "token_name": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.APIKey

To perform this operation, you must be authenticated. Learn more.

Delete API key

Code samples

# Example request using curl curl -X DELETE http://coder-server:8080/api/v2/users/{user}/keys/{keyid} \ -H 'Coder-Session-Token: API_KEY'

DELETE /users/{user}/keys/{keyid}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
keyidpathstring(string)trueKey ID

Responses

StatusMeaningDescriptionSchema
204No ContentNo Content

To perform this operation, you must be authenticated. Learn more.

Expire API key

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/keys/{keyid}/expire \ -H 'Accept: */*' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/keys/{keyid}/expire

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
keyidpathstring(string)trueKey ID

Example responses

404 Response

Responses

StatusMeaningDescriptionSchema
204No ContentNo Content
404Not FoundNot Foundcodersdk.Response
500Internal Server ErrorInternal Server Errorcodersdk.Response

To perform this operation, you must be authenticated. Learn more.

Get user login type

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/login-type \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/login-type

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "login_type": "" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.UserLoginType

To perform this operation, you must be authenticated. Learn more.

Get organizations by user

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/organizations \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/organizations

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

[ { "created_at": "2019-08-24T14:15:22Z", "description": "string", "display_name": "string", "icon": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_default": true, "name": "string", "updated_at": "2019-08-24T14:15:22Z" } ]

Responses

StatusMeaningDescriptionSchema
200OKOKarray of codersdk.Organization

Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
[array item]arrayfalse
» created_atstring(date-time)true
» descriptionstringfalse
» display_namestringfalse
» iconstringfalse
» idstring(uuid)true
» is_defaultbooleantrue
» namestringfalse
» updated_atstring(date-time)true

To perform this operation, you must be authenticated. Learn more.

Get organization by user and organization name

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/organizations/{organizationname} \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/organizations/{organizationname}

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
organizationnamepathstringtrueOrganization name

Example responses

200 Response

{ "created_at": "2019-08-24T14:15:22Z", "description": "string", "display_name": "string", "icon": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_default": true, "name": "string", "updated_at": "2019-08-24T14:15:22Z" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.Organization

To perform this operation, you must be authenticated. Learn more.

Update user password

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/password \ -H 'Content-Type: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/password

Body parameter

{ "old_password": "string", "password": "string" }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.UpdateUserPasswordRequesttrueUpdate password request

Responses

StatusMeaningDescriptionSchema
204No ContentNo Content

To perform this operation, you must be authenticated. Learn more.

Get user preference settings

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/preferences \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/preferences

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "task_notification_alert_dismissed": true }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.UserPreferenceSettings

To perform this operation, you must be authenticated. Learn more.

Update user preference settings

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/preferences \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/preferences

Body parameter

{ "task_notification_alert_dismissed": true }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.UpdateUserPreferenceSettingsRequesttrueNew preference settings

Example responses

200 Response

{ "task_notification_alert_dismissed": true }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.UserPreferenceSettings

To perform this operation, you must be authenticated. Learn more.

Update user profile

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/profile \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/profile

Body parameter

{ "name": "string", "username": "string" }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.UpdateUserProfileRequesttrueUpdated profile

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Get user roles

Code samples

# Example request using curl curl -X GET http://coder-server:8080/api/v2/users/{user}/roles \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

GET /users/{user}/roles

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Assign role to user

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/roles \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/roles

Body parameter

{ "roles": [ "string" ] }

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me
bodybodycodersdk.UpdateRolestrueUpdate roles request

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Activate user account

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/status/activate \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/status/activate

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.

Suspend user account

Code samples

# Example request using curl curl -X PUT http://coder-server:8080/api/v2/users/{user}/status/suspend \ -H 'Accept: application/json' \ -H 'Coder-Session-Token: API_KEY'

PUT /users/{user}/status/suspend

Parameters

NameInTypeRequiredDescription
userpathstringtrueUser ID, name, or me

Example responses

200 Response

{ "avatar_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "email": "[email protected]", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_seen_at": "2019-08-24T14:15:22Z", "login_type": "", "name": "string", "organization_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "roles": [ { "display_name": "string", "name": "string", "organization_id": "string" } ], "status": "active", "theme_preference": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string" }

Responses

StatusMeaningDescriptionSchema
200OKOKcodersdk.User

To perform this operation, you must be authenticated. Learn more.